Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.generator
Class HDFRecordUtil

    java.lang.Object
      org.apache.poi.generator.RecordUtil
          org.apache.poi.hdf.generator.HDFRecordUtil

public class HDFRecordUtil
extends RecordUtil

This class overrides RecordUtil to handle HDF specific types

Constructor Summary
`HDFRecordUtil()`

Method Summary
`static java.lang.String` | `getBitFieldFunction(java.lang.String name, java.lang.String bitMask, java.lang.String parentType, java.lang.String withType)`
`static java.lang.String` | `getBitFieldGet(java.lang.String name, java.lang.String bitMask, java.lang.String parentType, java.lang.String parentField)`
`static java.lang.String` | `getBitFieldSet(java.lang.String name, java.lang.String bitMask, java.lang.String parentType, java.lang.String parentField)`
`static java.lang.String` | `getBitFieldType(java.lang.String name, java.lang.String bitMask, java.lang.String parentType)`
`static java.lang.String` | `getType(java.lang.String size, java.lang.String type, int padTo)`
`static java.lang.String` | `getType1stCap(java.lang.String size, java.lang.String type, int padTo)`

Methods inherited from class org.apache.poi.generator.RecordUtil
`clone, getByteArrayString, getConstName, getFieldName, getFieldName, getFieldName1stCap, getMask, getRecordId, getToString, initializeText, pad`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HDFRecordUtil

    public HDFRecordUtil()

Method Detail

### getType

    public static java.lang.String getType(java.lang.String size,
                                           java.lang.String type,
                                           int padTo)

### getType1stCap

    public static java.lang.String getType1stCap(java.lang.String size,
                                                 java.lang.String type,
                                                 int padTo)

### getBitFieldFunction

    public static java.lang.String getBitFieldFunction(java.lang.String name,
                                                       java.lang.String bitMask,
                                                       java.lang.String parentType,
                                                       java.lang.String withType)

### getBitFieldGet

    public static java.lang.String getBitFieldGet(java.lang.String name,
                                                  java.lang.String bitMask,
                                                  java.lang.String parentType,
                                                  java.lang.String parentField)

### getBitFieldSet

    public static java.lang.String getBitFieldSet(java.lang.String name,
                                                  java.lang.String bitMask,
                                                  java.lang.String parentType,
                                                  java.lang.String parentField)

### getBitFieldType

    public static java.lang.String getBitFieldType(java.lang.String name,
                                                   java.lang.String bitMask,
                                                   java.lang.String parentType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.